GOLIT(1)

NAME
golit - generate C and OLIT source code for user interface elements described in a GIL file

SYNOPSIS
golit [ options ] filename

DESCRIPTION

golit reads a Graphical Interface Language (GIL) file created by OpenWindows Developer's Guide, a user interface design editor. As it reads, golit generates C and OLIT source code for the OpenWindows user interface elements.

Note that GIL files all end with a .G extension. golit allows you to specify the filename with or without the extension: both filename.G and filename are acceptable names to specify filename.G to golit.

OPTIONS

-a [-ansi]
    Sets golit so it writes ANSI C. golit will write the proper function prototypes for all functions. The resulting code will work with most ANSI C compilers.

-s [-silent]
    Sets golit so it works silently, producing no messages while generating source code.

-p [-project] myproj
    Sets golit so it will generate code for project myproj

-m [-main]
    Sets golit so that it only generates source code for main() and any common callback functions in the project.c file. Only works with the -p option present.

-n [-nomerge]
    Prohibits golit from merging existing and new _stubs.c files.

-? [-help]
    Print out a help message explaining all golit options.

FILES

filename_ui.c
    The primary source code file, containing C data structures describing the user interface elements.

filename_ui.h
    Contains declarations and C externs.

filename_stubs.c
    Contains callback function templates for the element handlers specified in the user interface.

project.c
    If golit is generating code for a project, this file will contain the main() plus any callback functions that are common across interfaces.

project.h
    If golit is generating code for a project, this file will contain declarations for any callback functions that are common across interfaces.

SEE ALSO

The OpenWindows Developer's Guide User's Manual

DIAGNOSTICS

golit: reading interface.G
    golit is reading the GIL file.

golit: writing interface_ui.c
    golit is generating the _ui.c source code file.

golit: writing interface_ui.h
    golit is generating the _ui.h source code file.

golit: writing interface_stubs.c
    golit is generating the _stubs.c source code file.

golit: writing project.c
    golit is generating the project.c source code file.

golit: writing project.h
    golit is generating the project.h source code file.

golit: writing Makefile
    golit is generating a Makefile for the generated interface source code.

golit: skipping Makefile
    golit detects an existing Makefile in the current directory and so is not generating a new Makefile.

golit: object NAME: attribute ATTRIBUTE: cannot find string
    golit can't find a string it expects to describe an attribute of a user interface element described in the GIL file.

golit: object NAME: attribute ATTRIBUTE: cannot find integer
    golit can't find an integer it expects to describe an attribute of a user interface element described in the GIL file.

golit: object NAME: attribute ATTRIBUTE: cannot find boolean
    golit can't find a Boolean setting it expects to describe an attribute of a user interface element described in the GIL file.

golit: object NAME: attribute ATTRIBUTE: cannot find keyword
    golit can't find a keyword it expects to describe an attribute of a user interface element described in the GIL file.

golit: object NAME: attribute ATTRIBUTE: cannot find start of list
    golit can't find the beginning of a list it expects to describe an attribute of a user interface element described in the GIL file.

golit: object NAME: attribute ATTRIBUTE: cannot find start of name
    golit can't find the beginning of a name it expects to describe an attribute of a user interface element described in the GIL file.

golit: object NAME: attribute ATTRIBUTE: cannot find start of object
    golit doesn't find an open parenthesis at the beginning of an object definition in the GIL file.

golit: object NAME: attribute ATTRIBUTE: unexpected end-of-file
    golit encounters a truncated GIL file or a GIL file that doesn't end with the proper file structure.

golit: object NAME: attribute ATTRIBUTE: unknown file format
    golit encounters a GIL file missing the file header information that identifies it as a GIL file.

golit: object NAME: attribute ATTRIBUTE: unknown value
    golit finds an attribute in a GIL file that it doesn't recognize, or encounters an attribute value that is not appropriate for that attribute.

golit: object NAME: attribute ATTRIBUTE: unknown object
    golit encounters an element that specifies an owner that doesn't exist.

golit: object NAME: attribute ATTRIBUTE: not a valid C identifier
    golit encounters an object name that is an illegal identifier in C.

golit: object NAME: attribute ATTRIBUTE: WARNING, not a C identifier, ignored
    golit encounters a special handler in quotes and ignores it.

BUGS

None